curl --request GET \
--url https://api.zapier.com/v2/zaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/zaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/zaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"links": {
"next": null,
"prev": null
},
"meta": {
"count": 1,
"offset": 0,
"limit": null
},
"data": [
{
"type": "zap",
"id": "00000000-0000-c000-8000-000000012345",
"is_enabled": false,
"last_successful_run_date": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"title": "My Zap",
"links": {
"html_editor": "https://zapier.com/editor/7481?utm_source=partner&utm_medium=embed&utm_campaign=partner_api&referer=zapier"
},
"steps": [
{
"action": "uag:1f188536-6dd0-4172-8414-2b90914ddee9",
"authentication": "025256a5-1cd0-8ce2-9e55-ad520b3472bb",
"inputs": {
"deal_stage": "CLOSED_WON"
},
"title": "Pacific Railway Golden spike hammered"
},
{
"action": "uag:1f188536-6dd0-4172-8414-2b90914ddaa7",
"authentication": "02b2ab37-dcfc-8462-845f-9e49cb1b3a43",
"inputs": {
"full_name": "{{customer__full_name}}"
},
"title": "Record who dunnit"
}
]
}
]
}
]{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Get Zaps [v2]
This endpoint returns a list of Zaps for the authenticated Zapier user.
The expand array can be used to expand selected fields into full objects in the response. Inputs with keys can
also be passed to filter Zaps by certain criteria.
Scope Selection:
- Use
zapif you have a Zapier integration and wish to get only Zaps using your integration. - Use
zap:allto get all of the user’s Zaps. - Use
zap:account:allto get all of the Zaps the user has access to in their account.
When using OAuth
This endpoint requires the zap, zap:all, or zap:account:all OAuth scopes.
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Query Parameters
A comma separated list of Zap fields that should be expanded from ids to full objects in the response. Fields that may not be expanded will remain as ids.
If true, all Zaps that are shared with the user, rather than only those owned by them, are returned. If the zap:account:all scope is not present this has no effect.
You may pass inputs[KEY]=VALUE1,VALUE2 to filter for Zaps that contain those settings. Keys are defined by your app on the developer platform.
Used for paginating results. Specifies the maximum number of items to return per page. If this value is not set, it defaults to 10.
Used for paginating results. Specifies the offset to use.
Was this page helpful?